SystemOrganization addCategory: #'StellDichEin-Model'!
SystemOrganization addCategory: #'StellDichEin-Commands'!

PRRawView subclass: #SDEDownloadCardView
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'StellDichEin-Commands'!

!SDEDownloadCardView class methodsFor: 'testing' stamp: 'pmm 3/24/2006 18:19'!
isAbstract
	^false! !

!SDEDownloadCardView class methodsFor: 'testing' stamp: 'pmm 3/25/2006 10:06'!
isValidIn: aContext
	^(super isValidIn: aContext) and: [ aContext structure isKindOf: SDEVCard ].! !

!SDEDownloadCardView class methodsFor: 'accessing' stamp: 'pmm 3/24/2006 18:13'!
label
	^'Download'! !

!SDEDownloadCardView methodsFor: 'rendering' stamp: 'pmm 3/24/2006 23:06'!
renderContentOn: aRequest
	| card exporter |
	card := self context structure card.
	exporter := ICVCardExporter cards: (Array with: card).
	exporter export.

	aRequest 
		contentType: exporter contentType;
		attachmentWithFileName: self context structure name , '.vcf';
		nextPutAll: exporter dataStream contents! !

PRRawView subclass: #SDEDownloadJobView
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'StellDichEin-Commands'!

!SDEDownloadJobView class methodsFor: 'testing' stamp: 'pmm 3/25/2006 17:07'!
isAbstract
	^false! !

!SDEDownloadJobView class methodsFor: 'testing' stamp: 'pmm 3/25/2006 17:07'!
isValidIn: aContext
	^(super isValidIn: aContext) and: [ aContext structure isKindOf: SDEJob ].! !

!SDEDownloadJobView class methodsFor: 'accessing' stamp: 'pmm 3/25/2006 17:07'!
label
	^'Download'! !

!SDEDownloadJobView methodsFor: 'rendering' stamp: 'pmm 3/25/2006 17:10'!
renderContentOn: aRequest
	| job exporter calendar |
	job := self context structure job.
	calendar := ICCalendar new.
	calendar addComponent: job.
	exporter := ICCalendarExporter calendar: calendar.
	exporter export.

	aRequest 
		contentType: exporter contentType;
		attachmentWithFileName: self context structure name , '.ics';
		nextPutAll: exporter dataStream contents! !

!PRViewRenderer methodsFor: '*StellDichEin' stamp: 'pmm 3/25/2006 10:09'!
visitCalendarEntry: aVCard
	html render: (aVCard asComponent readonly: true; yourself)! !

PRStructure subclass: #SDEEntry
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'StellDichEin-Model'!

!SDEEntry class methodsFor: 'private' stamp: 'pmm 3/25/2006 10:15'!
cascade: aDescription
	^aDescription accessor: (MACascadeAccessor
		accessor: (MASelectorAccessor selector: self modelSelector)
		next: aDescription accessor)
		yourself! !

!SDEEntry class methodsFor: 'accessing-description' stamp: 'pmm 3/25/2006 10:23'!
descriptionName
	^super descriptionName
		beHidden;
		yourself! !

!SDEEntry class methodsFor: 'private' stamp: 'pmm 3/25/2006 23:06'!
modelSelector
	self subclassResponsibility ! !

SDEEntry subclass: #SDEJob
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'StellDichEin-Model'!

SDEJob subclass: #SDEEvent
	instanceVariableNames: 'event'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'StellDichEin-Model'!

!SDEEvent class methodsFor: 'accessing-description' stamp: 'pmm 3/25/2006 10:27'!
descriptionEnd
	^self cascade: ICEvent descriptionEnd! !

!SDEEvent class methodsFor: 'accessing-description' stamp: 'pmm 3/28/2006 00:35'!
descriptionStatus
	^self cascade: ICEvent descriptionStatus! !

!SDEEvent class methodsFor: 'accessing-resources' stamp: 'pmm 3/25/2006 10:12'!
icon
	"PRCompatibility compileFileNamed: 'vcalendar.png' into: SDECalendarEntry class selector: #icon"

	^ #(137 80 78 71 13 10 26 10 0 0 0 13 73 72 68 82 0 0 0 16 0 0 0 16 8 6 0 0 0 31 243 255 97 0 0 0 4 103 65 77 65 0 0 217 4 220 178 218 2 0 0 1 175 73 68 65 84 120 156 149 146 191 138 219 64 16 198 127 43 233 8 225 148 116 70 168 185 24 151 193 77 138 20 121 137 144 131 52 174 92 221 129 31 192 143 227 50 47 144 52 169 92 26 28 156 58 160 246 8 216 156 15 231 130 207 150 180 187 51 41 108 9 255 209 21 25 24 190 97 52 243 237 247 237 202 176 143 241 120 92 136 136 165 33 130 32 8 23 139 197 207 94 175 247 25 152 159 13 196 113 124 237 156 211 231 114 187 221 106 150 101 58 26 141 126 0 175 15 119 163 61 42 192 187 223 96 45 4 37 104 14 228 64 1 235 63 240 181 253 68 191 223 127 95 150 229 247 193 96 240 17 88 30 18 0 240 214 20 200 229 11 74 181 68 209 5 18 120 184 0 243 50 194 57 199 114 185 228 230 230 230 195 122 189 254 54 28 14 175 107 59 113 28 127 114 206 233 253 221 157 58 103 245 241 126 174 174 216 232 230 241 65 55 127 31 212 217 141 78 38 19 157 205 102 58 157 78 53 203 50 77 211 244 246 76 193 198 123 46 139 146 167 194 97 114 75 145 59 0 156 90 218 237 43 226 248 21 243 249 130 78 167 131 49 38 60 35 240 34 187 84 69 84 241 170 0 187 218 43 198 4 68 209 209 10 65 211 179 253 79 68 167 13 85 69 85 17 17 180 82 176 175 189 247 120 239 159 39 112 206 97 173 173 209 218 221 127 101 140 161 44 75 242 60 199 57 87 147 54 18 84 10 42 21 85 191 170 43 108 84 224 189 175 79 182 214 214 114 195 48 172 109 52 18 84 131 34 114 180 92 89 8 195 176 238 31 222 7 156 188 130 136 212 233 189 63 58 245 20 27 45 116 187 93 68 132 52 77 143 134 68 132 36 73 0 104 181 90 132 97 88 127 51 123 124 147 36 201 173 28 108 157 122 61 232 27 128 213 106 245 5 248 245 15 1 162 110 98 13 23 220 152 0 0 0 0 73 69 78 68 174 66 96 130) asByteArray.! !

!SDEEvent class methodsFor: 'testing' stamp: 'pmm 3/25/2006 10:12'!
isAbstract
	^false! !

!SDEEvent class methodsFor: 'accessing' stamp: 'pmm 3/25/2006 10:13'!
label
	^'Calendar Event'! !

!SDEEvent class methodsFor: 'private' stamp: 'pmm 3/25/2006 10:18'!
modelSelector
	^#event! !

!SDEEvent methodsFor: 'visiting' stamp: 'pmm 3/25/2006 10:11'!
accept: aVisitor
	aVisitor visitCalendarEvent: self! !

!SDEEvent methodsFor: 'accessing' stamp: 'pmm 3/25/2006 10:16'!
event
	^event! !

!SDEEvent methodsFor: 'accessing' stamp: 'pmm 3/25/2006 10:16'!
event: anEvent 
	event := anEvent! !

!SDEEvent methodsFor: 'initialize-release' stamp: 'pmm 3/25/2006 10:17'!
initialize
	super initialize.
	self event: ICEvent new! !

!SDEEvent methodsFor: 'accessing' stamp: 'pmm 3/25/2006 16:59'!
job
	^self event! !

!SDEJob class methodsFor: 'accessing-description' stamp: 'pmm 3/25/2006 10:22'!
descriptionClassification
	^self cascade: ICViewableCalendarEntry descriptionClassification! !

!SDEJob class methodsFor: 'accessing-description' stamp: 'pmm 3/25/2006 10:25'!
descriptionDuration
	^self cascade: ICJob descriptionDuration! !

!SDEJob class methodsFor: 'accessing-description' stamp: 'pmm 3/25/2006 10:25'!
descriptionLocation
	^self cascade: ICJob descriptionLocation! !

!SDEJob class methodsFor: 'accessing-description' stamp: 'pmm 3/25/2006 10:25'!
descriptionPriority
	^self cascade: ICJob descriptionPriority! !

!SDEJob class methodsFor: 'accessing-description' stamp: 'pmm 3/25/2006 10:25'!
descriptionStart
	^self cascade: ICJob descriptionStart! !

!SDEJob class methodsFor: 'accessing-description' stamp: 'pmm 3/25/2006 10:26'!
descriptionTextualDescription
	^self cascade: ICJob descriptionTextualDescription! !

!SDEJob class methodsFor: 'accessing-description' stamp: 'pmm 3/25/2006 17:01'!
descriptionTitle
	^(self cascade: ICViewableCalendarEntry descriptionSummary)
		beRequired;
		yourself! !

!SDEJob class methodsFor: 'accessing-description' stamp: 'pmm 3/25/2006 10:24'!
descriptionUrl
	^self cascade: ICCalendarEntry descriptionUrl! !

!SDEJob methodsFor: 'accessing' stamp: 'pmm 3/25/2006 23:06'!
job
	self subclassResponsibility ! !

!SDEJob methodsFor: 'accessing' stamp: 'pmm 3/25/2006 17:05'!
title
	| summary |
	summary := self job summary.
	summary isNil ifTrue: [
		summary := super title.
		self title: summary ].
	^summary
	! !

!SDEJob methodsFor: 'accessing' stamp: 'pmm 3/25/2006 16:58'!
title: aString
	self job summary: aString! !

SDEJob subclass: #SDETodo
	instanceVariableNames: 'todo'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'StellDichEin-Model'!

!SDETodo class methodsFor: 'accessing-description' stamp: 'pmm 3/25/2006 10:26'!
descriptionCompleted
	^self cascade: ICTodo descriptionCompleted! !

!SDETodo class methodsFor: 'accessing-description' stamp: 'pmm 3/25/2006 10:26'!
descriptionDue
	^self cascade: ICTodo descriptionDue! !

!SDETodo class methodsFor: 'accessing-description' stamp: 'pmm 3/25/2006 10:26'!
descriptionPercentComplete
	^self cascade: ICTodo descriptionPercentComplete! !

!SDETodo class methodsFor: 'accessing-description' stamp: 'pmm 3/28/2006 00:36'!
descriptionStatus
	^self cascade: ICTodo descriptionStatus! !

!SDETodo class methodsFor: 'accessing-resources' stamp: 'pmm 3/25/2006 10:11'!
icon
	"PRCompatibility compileFileNamed: 'todo.png' into: SDETodo class selector: #icon"

	^ #(137 80 78 71 13 10 26 10 0 0 0 13 73 72 68 82 0 0 0 16 0 0 0 16 8 6 0 0 0 31 243 255 97 0 0 0 9 112 72 89 115 0 0 11 19 0 0 11 19 1 0 154 156 24 0 0 0 4 103 65 77 65 0 0 177 142 124 251 81 147 0 0 0 32 99 72 82 77 0 0 122 37 0 0 128 131 0 0 249 255 0 0 128 233 0 0 117 48 0 0 234 96 0 0 58 152 0 0 23 111 146 95 197 70 0 0 3 119 73 68 65 84 120 218 98 252 255 255 63 3 37 0 32 128 88 108 106 119 165 179 48 51 204 192 103 14 35 35 3 195 191 127 12 12 32 37 188 156 76 12 111 62 253 97 16 230 99 97 248 242 237 95 6 64 0 177 176 252 231 154 97 34 161 192 240 7 164 2 167 9 12 12 223 126 252 101 16 225 99 101 72 112 21 103 152 181 253 5 67 93 148 44 67 198 156 83 51 0 2 136 81 62 121 247 103 86 6 110 158 63 127 255 50 48 50 49 50 192 188 196 8 180 246 255 191 255 96 205 32 246 159 191 255 24 120 56 153 25 228 68 57 24 94 127 248 197 160 44 201 197 112 237 217 155 47 0 1 0 65 0 190 255 4 21 17 2 0 145 99 40 0 39 27 9 0 228 228 230 0 24 24 24 0 254 254 254 0 234 234 234 0 27 27 27 0 248 248 248 0 238 237 238 0 28 30 29 0 243 243 244 0 232 226 228 0 34 39 44 0 213 229 245 0 116 157 235 0 2 136 133 157 149 9 232 31 54 6 97 94 14 134 159 124 236 12 226 130 92 12 32 207 252 255 241 17 232 100 118 134 159 236 255 25 88 25 184 24 132 184 89 24 158 46 91 195 240 118 195 90 6 33 7 91 6 145 192 84 6 78 78 22 6 128 0 0 65 0 190 255 4 3 1 255 0 241 241 240 0 242 10 249 0 248 252 252 0 238 240 240 0 252 246 246 0 249 0 0 0 238 238 238 0 251 251 251 0 248 255 255 0 201 136 139 0 243 177 168 0 56 12 236 0 226 148 189 0 225 15 36 0 5 8 30 0 2 136 137 153 137 129 225 235 215 175 12 223 127 253 100 248 120 251 54 195 193 240 8 134 125 30 30 12 143 150 45 103 248 6 12 23 144 65 183 102 204 100 120 183 101 29 131 189 228 119 6 161 23 143 24 126 177 112 48 252 250 251 135 129 153 233 63 3 64 0 0 65 0 190 255 2 9 7 4 0 26 26 25 0 23 22 25 0 248 209 213 0 42 29 0 0 83 78 18 0 246 151 133 0 246 189 192 0 247 191 193 0 251 190 186 0 66 25 244 0 5 223 215 0 204 233 1 0 14 110 129 0 48 86 85 0 6 254 252 0 2 136 133 149 149 145 129 133 153 5 28 242 92 18 146 12 95 86 157 99 96 229 151 96 176 51 225 99 216 83 144 196 192 32 163 198 224 162 202 200 192 126 243 10 195 197 167 12 12 191 147 203 24 52 242 11 25 238 190 254 193 0 210 11 16 64 44 76 192 32 123 241 226 57 3 239 127 14 6 94 115 35 134 91 58 62 12 215 246 175 101 208 82 231 102 112 86 1 70 227 255 187 12 220 247 191 48 92 123 194 192 240 212 59 158 65 59 55 159 225 213 203 231 64 61 223 24 64 122 1 2 136 133 157 141 133 65 88 88 136 65 72 132 135 129 131 231 7 131 244 180 25 12 103 242 152 25 110 238 155 195 160 46 193 202 192 240 227 43 195 45 160 230 247 1 201 12 14 19 167 2 19 220 31 6 46 118 118 6 225 95 95 24 216 217 94 50 0 4 16 56 26 185 57 216 24 88 88 88 24 184 88 153 25 128 38 50 88 79 158 194 112 52 225 61 3 243 214 181 96 175 189 245 9 101 176 158 50 141 129 129 141 141 225 239 175 255 12 204 64 181 220 156 108 12 32 189 0 1 196 2 76 101 140 15 94 1 163 237 207 95 96 162 249 5 84 243 155 129 137 153 153 129 163 172 147 225 162 130 9 48 101 254 99 80 140 136 96 184 243 254 15 195 159 223 223 24 254 2 99 134 131 253 15 195 179 119 63 64 41 148 17 32 128 24 21 178 87 190 146 19 225 21 5 217 244 31 8 25 129 16 68 51 177 176 50 176 242 242 130 93 240 251 243 103 134 255 192 52 242 159 1 145 204 65 204 71 111 62 191 6 8 32 70 74 179 51 64 128 1 0 229 6 43 127 181 111 154 116 0 0 0 0 73 69 78 68 174 66 96 130) asByteArray.! !

!SDETodo class methodsFor: 'testing' stamp: 'pmm 3/25/2006 10:12'!
isAbstract
	^false! !

!SDETodo class methodsFor: 'accessing' stamp: 'pmm 3/25/2006 10:13'!
label
	^'Todo'! !

!SDETodo class methodsFor: 'private' stamp: 'pmm 3/25/2006 10:18'!
modelSelector
	^#todo! !

!SDETodo methodsFor: 'visiting' stamp: 'pmm 3/25/2006 10:11'!
accept: aVisitor
	aVisitor visitTodo: self! !

!SDETodo methodsFor: 'initialize-release' stamp: 'pmm 3/25/2006 10:18'!
initialize
	super initialize.
	self todo: ICTodo new! !

!SDETodo methodsFor: 'accessing' stamp: 'pmm 3/25/2006 16:58'!
job
	^self todo! !

!SDETodo methodsFor: 'accessing' stamp: 'pmm 3/25/2006 10:17'!
todo
	^todo! !

!SDETodo methodsFor: 'accessing' stamp: 'pmm 3/25/2006 10:17'!
todo: aTodo 
	todo := aTodo! !

SDEEntry subclass: #SDEVCard
	instanceVariableNames: 'card'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'StellDichEin-Model'!

!SDEVCard class methodsFor: 'accessing-description' stamp: 'pmm 3/24/2006 17:16'!
cascade: aDescription
	^aDescription accessor: (MACascadeAccessor
		accessor: (MASelectorAccessor selector: #card)
		next: aDescription accessor)
		yourself! !

!SDEVCard class methodsFor: 'accessing-description' stamp: 'pmm 3/27/2006 11:50'!
descriptionAddresses
	^self cascade: ICVCard descriptionAddresses! !

!SDEVCard class methodsFor: 'accessing-description' stamp: 'pmm 3/24/2006 17:18'!
descriptionAimIds
	^self cascade: ICVCard descriptionAimIds! !

!SDEVCard class methodsFor: 'accessing-description' stamp: 'pmm 3/24/2006 17:18'!
descriptionBirthday
	^self cascade: ICVCard descriptionBirthday! !

!SDEVCard class methodsFor: 'accessing-description' stamp: 'pmm 3/24/2006 17:19'!
descriptionCardName
	^self cascade: ICVCard descriptionName! !

!SDEVCard class methodsFor: 'accessing-description' stamp: 'pmm 3/24/2006 17:20'!
descriptionCardTitle
	^self cascade: ICVCard descriptionTitle! !

!SDEVCard class methodsFor: 'accessing-description' stamp: 'pmm 3/24/2006 17:18'!
descriptionEmailAddresses
	^self cascade: ICVCard descriptionEmailAddresses! !

!SDEVCard class methodsFor: 'accessing-description' stamp: 'pmm 3/24/2006 17:19'!
descriptionIcqIds
	^self cascade: ICVCard descriptionIcqIds! !

!SDEVCard class methodsFor: 'accessing-description' stamp: 'pmm 3/24/2006 17:19'!
descriptionMsnIds
	^self cascade: ICVCard descriptionMsnIds! !

!SDEVCard class methodsFor: 'accessing-description' stamp: 'pmm 3/24/2006 17:19'!
descriptionNickname
	^self cascade: ICVCard descriptionNickname! !

!SDEVCard class methodsFor: 'accessing-description' stamp: 'pmm 3/24/2006 17:20'!
descriptionOrganization
	^self cascade: ICVCard descriptionOrganization! !

!SDEVCard class methodsFor: 'accessing-description' stamp: 'pmm 3/24/2006 17:20'!
descriptionPhoneNumbers
	^self cascade: ICVCard descriptionPhoneNumbers! !

!SDEVCard class methodsFor: 'accessing-description' stamp: 'pmm 3/25/2006 17:02'!
descriptionTitle
	^(self cascade: ICVCard descriptionFullname)
		beRequired;
		yourself! !

!SDEVCard class methodsFor: 'accessing-description' stamp: 'pmm 3/24/2006 17:20'!
descriptionUrl
	^self cascade: ICVCard descriptionUrl! !

!SDEVCard class methodsFor: 'accessing-description' stamp: 'pmm 3/24/2006 17:21'!
descriptionYahooIds
	^self cascade: ICVCard descriptionYahooIds! !

!SDEVCard class methodsFor: 'accessing-resources' stamp: 'pmm 3/24/2006 18:11'!
icon
	"PRCompatibility compileFileNamed: 'vcard.png' into: PCVCard class selector: #icon"

	^ #(137 80 78 71 13 10 26 10 0 0 0 13 73 72 68 82 0 0 0 16 0 0 0 16 8 6 0 0 0 31 243 255 97 0 0 0 4 103 65 77 65 0 0 217 4 220 178 218 2 0 0 2 1 73 68 65 84 120 156 197 146 189 79 84 81 16 197 127 247 107 151 236 230 101 9 217 184 68 18 18 98 212 141 20 210 24 99 2 141 254 25 52 214 214 208 17 90 131 141 173 61 177 49 22 52 24 99 84 66 180 32 107 69 98 12 197 67 133 69 96 213 13 251 241 112 121 239 190 119 175 5 44 209 32 141 133 158 106 50 57 115 102 206 204 192 255 134 88 92 92 124 60 62 62 126 45 73 146 211 164 148 242 119 146 16 103 10 149 82 204 206 206 222 211 43 43 43 237 233 233 233 137 191 233 94 46 151 111 107 33 68 220 106 29 176 183 21 146 211 146 196 41 114 90 160 36 20 75 101 10 193 16 74 29 79 208 237 118 1 24 28 28 196 24 131 247 222 74 169 53 210 30 82 57 120 201 64 243 45 225 214 14 31 195 13 134 246 159 83 232 109 35 77 30 107 45 97 24 18 199 49 206 57 194 48 60 181 170 37 10 163 82 104 189 102 187 93 96 245 67 147 64 53 185 126 233 37 5 147 161 199 110 177 183 243 141 74 165 66 167 211 225 232 232 136 98 177 72 127 103 26 41 201 233 148 1 189 70 252 67 177 180 180 197 212 149 77 46 76 28 98 205 87 228 201 18 147 36 193 24 131 181 22 231 28 222 123 156 115 104 165 36 135 41 220 125 96 169 109 230 105 119 63 243 100 199 241 126 3 30 222 207 51 121 131 190 95 156 115 40 165 232 245 122 228 243 249 99 1 137 35 74 2 234 201 77 174 86 115 228 114 26 239 61 95 246 154 172 127 191 204 36 48 50 50 66 189 94 39 142 99 132 16 148 74 165 211 75 104 107 45 23 135 43 188 91 91 61 255 89 132 96 116 116 244 76 222 57 135 20 39 95 18 69 81 58 51 51 243 108 97 97 225 205 159 68 156 115 204 205 205 189 152 159 159 127 229 189 7 64 41 37 116 187 221 78 27 141 6 81 20 137 229 229 229 71 213 106 117 162 209 104 76 245 73 125 164 105 74 173 86 123 154 101 153 222 221 221 189 163 181 166 213 106 37 2 24 11 130 160 10 136 56 142 63 41 165 2 99 204 80 154 166 238 87 1 165 148 202 178 108 255 36 30 22 66 248 78 167 179 126 174 239 127 134 159 215 197 229 175 3 76 150 161 0 0 0 0 73 69 78 68 174 66 96 130) asByteArray.! !

!SDEVCard class methodsFor: 'testing' stamp: 'pmm 3/24/2006 14:38'!
isAbstract
	^false! !

!SDEVCard class methodsFor: 'accessing' stamp: 'pmm 3/24/2006 14:39'!
label
	^'VCard'! !

!SDEVCard class methodsFor: 'private' stamp: 'pmm 3/25/2006 10:15'!
modelSelector
	^#card! !

!SDEVCard methodsFor: 'visiting' stamp: 'pmm 3/24/2006 17:37'!
accept: aVisitor
	aVisitor visitVCard: self! !

!SDEVCard methodsFor: 'accessing' stamp: 'pmm 3/24/2006 17:10'!
card
	^card! !

!SDEVCard methodsFor: 'accessing' stamp: 'pmm 3/24/2006 17:10'!
card: anObject
	card := anObject! !

!SDEVCard methodsFor: 'initialize-release' stamp: 'pmm 3/24/2006 17:32'!
initialize
	super initialize.
	self card: ICVCard new! !

!SDEVCard methodsFor: 'accessing' stamp: 'pmm 3/25/2006 23:05'!
title
	| fullname |
	fullname := self card fullname.
	fullname isNil ifTrue: [
		fullname := super title.
		self title: fullname ].
	^fullname! !

!SDEVCard methodsFor: 'accessing' stamp: 'pmm 3/25/2006 16:57'!
title: aString
	self card fullname: aString! !

!PRVisitor methodsFor: '*StellDichEin' stamp: 'pmm 3/25/2006 10:09'!
visitCalendarEntry: aCalendarEntry
	self visitStructure: aCalendarEntry! !

!PRVisitor methodsFor: '*StellDichEin' stamp: 'pmm 3/25/2006 10:10'!
visitCalendarEvent: anEvent
	self visitCalendarEntry: anEvent! !

!PRVisitor methodsFor: '*StellDichEin' stamp: 'pmm 3/25/2006 10:10'!
visitTodo: aTodo
	self visitCalendarEntry: aTodo! !

!PRVisitor methodsFor: '*StellDichEin' stamp: 'pmm 3/25/2006 10:09'!
visitVCard: aVCard
	self visitCalendarEntry: aVCard! !
